SAP Knowledge Base Article - Preview

2717851 - You have to use a JDK as a JVM instead of a JRE: NWDS issue

Symptom

The SAP Netweaver Developer Studio (NWDS) fails to launch and the below error is reported:

************************************
com.sap.ide.jvm.check
You have to use a JDK as a JVM instead of a JRE
MESSAGE Supported JVMs:
MESSAGE JDK provided by SAP AG: java.version 1.6.0_07 or higher
MESSAGE JDK provided by Sun Microsystems Inc.: java.version 1.6.0_07 or higher
MESSAGE Note, a JDK is not the same as a JRE. If a JDK is required, a JRE is not sufficient
************************************


Read more...

Environment

SAP NetWeaver Developer Studio (NWDS)
Java Development Infrastructure (JDI)

Product

SAP Composition Environment all versions ; SAP Enterprise Portal all versions ; SAP NetWeaver Application Server all versions ; SAP NetWeaver Application Server for Java all versions ; SAP NetWeaver all versions ; SAP Process Integration all versions ; SAP Solution Manager all versions

Keywords

issue, popup, pop up, 1321831, .metadata, .log, 751640, sap note, sapnote Preferences -clean SapNetweaverDeveloperStudio.ini , KBA , BC-DWB-JAV-COR , NWDS Core Frameworks , BC-CTS-DI , Development Infrastructure (NetWeaver Java) , BC-DWB-JAV-DII , NWDS Development Infrastructure Integration , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.